Bug 1794307 - Failure in unit tests on ppc64le [NEEDINFO]
Summary: Failure in unit tests on ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libldb
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yizhak B
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-23 09:05 UTC by Lukas Slebodnik
Modified: 2021-05-22 01:01 UTC (History)
7 users (show)

Fixed In Version: libldb-2.3.0-2.fc35 libldb-2.3.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-20 14:03:11 UTC
Type: Bug
lslebodn: needinfo? (gdeschner)
lslebodn: needinfo? (asn)


Attachments (Terms of Use)

Description Lukas Slebodnik 2020-01-23 09:05:39 UTC
Description of problem:

I assume it is not directly related to libldb but to the tdb backend
but I am not so familiar with internals.


Version-Release number of selected component (if applicable):
libldb-2.1.0-1.fc32

How reproducible:
Deterministic


Steps to Reproduce:
1. fedpkg clone libldb && cd libldb
2. # Remove workaround from spec file
   https://src.fedoraproject.org/rpms/libldb/c/a366c15c509cf229653809556c9c71f64f068436?branch=master
   https://src.fedoraproject.org/rpms/libldb/c/bb9c7beaf2ac8d47294c7f235e83ab37344803f6?branch=master
   git revert a366c15c509cf229653809556c9c71f64f068436 && git revert bb9c7beaf2ac8d47294c7f235e83ab37344803f6
2. //create srpm
   fedpkg srpm
3. rebuild srpm on ppc64le arcitecture
  (ideally in mock in rawhide root due to requirements on newer libs)
  # or you can try scratch build
    fedpkg build --scratch --arches ppc64le --srpm libldb-2.1.0-1.fc32.src.rpm

Actual results:
link to scratchh build
https://kojipkgs.fedoraproject.org//work/tasks/3566/40873566/build.log

======================================================================
ERROR: test_guid_indexed_v1_db (__main__.GUIDIndexAndPackFormatTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/python/repack.py", line 197, in test_guid_indexed_v1_db
    self.toggle_guidindex_check_pack()
  File "tests/python/repack.py", line 123, in toggle_guidindex_check_pack
    self.set_guid_indexing(enable=enable)
  File "tests/python/repack.py", line 76, in set_guid_indexing
    self.l.modify(modmsg)
_ldb.LdbError: (1, 'Failure during prepare_write): Corrupt database -> Operations error')
----------------------------------------------------------------------
Ran 2 tests in 0.344s
FAILED (errors=1)

//snip

[ RUN      ] test_get_size
[  FAILED  ] test_get_size
[==========] 13 test(s) run.
[  ERROR   ] --- 13369 is not within the range 2500-5000
[   LINE   ] --- ../../tests/ldb_kv_ops_test.c:1721: error: Failure!
[  PASSED  ] 12 test(s).
[  FAILED  ] 1 test(s), listed below:
[  FAILED  ] test_get_size
 1 FAILED TEST(S)

Expected results:
No failures in test without workarounds.

Additional info:

Comment 1 Lukas Slebodnik 2020-01-23 09:07:07 UTC
It would be good if you could investigate.

Comment 2 Ben Cotton 2020-02-11 17:27:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Fedora Program Management 2021-04-29 16:02:34 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Update System 2021-05-20 14:01:00 UTC
FEDORA-2021-c0b6324bc1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c0b6324bc1

Comment 5 Fedora Update System 2021-05-20 14:03:11 UTC
FEDORA-2021-c0b6324bc1 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-05-20 14:25:08 UTC
FEDORA-2021-8ab82450a6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ab82450a6

Comment 7 Fedora Update System 2021-05-21 03:41:24 UTC
FEDORA-2021-8ab82450a6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8ab82450a6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ab82450a6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-22 01:01:38 UTC
FEDORA-2021-8ab82450a6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.